Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.color
Class ThreadedPercentageIDVarianceColorMapMetaData

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.color.ThreadedPercentageIDVarianceColorMapMetaData

All Implemented Interfaces:
  ColorMapMetaData

public class ThreadedPercentageIDVarianceColorMapMetaData
extends Object
implements ColorMapMetaData

ThreadedPercentageIDVarianceColorMapMetaData.java Created: Fri Dec 1 16:54:24 2000

Version:
  $Id: ThreadedPercentageIDVarianceColorMapMetaData.java,v 1.3 2001/05/08 17:37:59 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`ThreadedPercentageIDVarianceColorMapMetaData()`

Method Summary
`String` | `getColorMapName()` This should return the string that ColorMap instances created via this class, return as their name, via the getName method
`ColorMap` | `getConsensusInstance(ConsensusSequence sequence, JAlignmentViewer viewer)` Returns an instance of this type for this consensus sequence
`ColorMap` | `getInstance(SequenceAlignment alignment, JAlignmentViewer viewer)` Returns a instance of this Color map for the given alignment instance.
`void` | `setModule(CinemaModule module)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedPercentageIDVarianceColorMapMetaData

    public ThreadedPercentageIDVarianceColorMapMetaData()

Method Detail

### setModule

    public void setModule(CinemaModule module)

  Specified by:
    `setModule` in interface `ColorMapMetaData`

### getColorMapName

    public String getColorMapName()

  Description copied from interface: `ColorMapMetaData`
  This should return the string that ColorMap instances created via this class, return as their name, via the getName method

  Specified by:
    `getColorMapName` in interface `ColorMapMetaData`
  Returns:
    the name

### getInstance

    public ColorMap getInstance(SequenceAlignment alignment,
                                JAlignmentViewer viewer)

  Description copied from interface: `ColorMapMetaData`
  Returns a instance of this Color map for the given alignment instance.

  Specified by:
    `getInstance` in interface `ColorMapMetaData`
  Returns:
    the ColorMap

### getConsensusInstance

    public ColorMap getConsensusInstance(ConsensusSequence sequence,
                                         JAlignmentViewer viewer)

  Description copied from interface: `ColorMapMetaData`
  Returns an instance of this type for this consensus sequence

  Specified by:
    `getConsensusInstance` in interface `ColorMapMetaData`
  Parameters:
    `sequence` - the consensus sequence
  Returns:
    the ColorMap instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD